"use strict";

const React = require("react");

// Unlike React.useMemo, this one is guaranteed to never drop its value. Useful for things like stable ID generation.
module.exports = function useGuaranteedMemo(initializer, dependencies = []) {
	let [ value, setValue ] = React.useState();

	React.useEffect(() => {
		setValue(initializer);
	}, dependencies);

	return value;
};
